nxt.util

## Class ThreadPool

- java.lang.Object
- - nxt.util.ThreadPool

-     public final class ThreadPool
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `runAfterStart(java.lang.Runnable runnable)`
    `static void` | `runBeforeStart(java.lang.Runnable runnable, boolean runLast)`
    `static void` | `scheduleThread(java.lang.String name, java.lang.Runnable runnable, int delay)`
    `static void` | `scheduleThread(java.lang.String name, java.lang.Runnable runnable, int delay, java.util.concurrent.TimeUnit timeUnit)`
    `static void` | `shutdown()`
    `static void` | `shutdownExecutor(java.lang.String name, java.util.concurrent.ExecutorService executor, int timeout)`
    `static void` | `start(int timeMultiplier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### runBeforeStart

          public static void runBeforeStart(java.lang.Runnable runnable,
                                            boolean runLast)

    - #### runAfterStart

          public static void runAfterStart(java.lang.Runnable runnable)

    - #### scheduleThread

          public static void scheduleThread(java.lang.String name,
                                            java.lang.Runnable runnable,
                                            int delay)

    - #### scheduleThread

          public static void scheduleThread(java.lang.String name,
                                            java.lang.Runnable runnable,
                                            int delay,
                                            java.util.concurrent.TimeUnit timeUnit)

    - #### start

          public static void start(int timeMultiplier)

    - #### shutdown

          public static void shutdown()

    - #### shutdownExecutor

          public static void shutdownExecutor(java.lang.String name,
                                              java.util.concurrent.ExecutorService executor,
                                              int timeout)